<template>
  <div class="block-chat-btn">
    <button
      v-if="isChatOpened"
      class="ui button transparent"
      @click="openRoom"
      v-tooltip="tooltip">
      <span class="btn-chat-cloud"/>
    </button>
  </div>
</template>

<script>
import { createNamespacedHelpers } from 'vuex';

import { OPEN_TECHSUPPORT_ROOM } from '~/assets/js/store/chat/action-types';

const STORE_CHAT = createNamespacedHelpers('chat');

export default {
  name: 'TechSupportChat',
  data() {
    return {
      tooltip: {
        content: 'Начать чат с техподдержкой',
        classes: 'ui popup tooltip visible dark bottom chat-start',
        placement: 'bottom',
        trigger: 'hover',
        offset: 4,
        delay: 0,
      },
      loading: false,
    };
  },
  computed: {
    ...STORE_CHAT.mapState({
      isChatOpened: 'opened',
    }),
  },
  methods: {
    ...STORE_CHAT.mapActions({
      openTechsupportRoom: OPEN_TECHSUPPORT_ROOM,
    }),
    openRoom() {
      this.openTechsupportRoom(window);
    },
  },
};
</script>

<style scoped lang="scss">
  .btn-chat-cloud {
    margin-top: -0.3125rem;
  }

  .ui.button.transparent {
    display: flex;
    padding: 0;
    margin: 0;
    box-shadow: none;
    .btn-chat-cloud {
      margin: auto;
    }

    &.loading {
      .btn-chat-cloud {
        opacity: 0;
      }
    }
  }
  .block-chat-btn {
    display: inline-flex;
    flex-direction: row;
    flex-wrap: nowrap;
    justify-content: flex-start;
    align-items: center;
    line-height: 1;
    white-space: nowrap;
  }
  .block-chat-btn .v-popover {
    display: inline-flex;
    min-height: 1.125rem;
    line-height: 1.125rem;
  }
</style>
